gr::lte::repeat_message_source_vf Class Reference

Repeat Vector in message infinitely. More...

`#include <repeat_message_source_vf.h>`

Inheritance diagram for gr::lte::repeat_message_source_vf:
[legend]

## Public Types

typedef boost::shared_ptr< repeat_message_source_vf > | sptr

## Static Public Member Functions

static sptr | make (int vector_len, std::string name="repeat_message_source_vf")
| Return a shared_ptr to a new instance of lte::repeat_message_source_vf.

## Detailed Description

Repeat Vector in message infinitely.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<repeat_message_source_vf> gr::lte::repeat_message_source_vf::sptr

## Member Function Documentation

## make()

static sptr gr::lte::repeat_message_source_vf::make | ( | int | vector_len,
|  | std::string | name = "repeat_message_source_vf" )

static

Return a shared_ptr to a new instance of lte::repeat_message_source_vf.

To avoid accidental use of raw pointers, lte::repeat_message_source_vf's constructor is in a private implementation class. lte::repeat_message_source_vf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- repeat_message_source_vf.h